﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAtelier.Entities;

public class Client
{
    public int Id { get; set; }

    [DisplayName("Имя клиента")]
    public string Name { get; private set; } = string.Empty;

    [DisplayName("Телефон клиента")]
    public string Phone { get; private set; } = string.Empty;

    [DisplayName("Гендер")]
    public Gender Gender { get; private set; }  // Используем flag Gender

    public static Client CreateEntity(int id, string name, string phone, Gender gender)
    {
        return new Client
        {
            Id = id,
            Name = name,
            Phone = phone,
            Gender = gender,
        };
    }
}

