﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAtelier.Entities;
public class MaterialReplenishment
{
    public int Id { get; private set; }


    [DisplayName("Количество")]
    public int Count { get; private set; }

    [DisplayName("Дата пополнения")]
    public DateTime DataTime { get; private set; }

    [DisplayName("Название")]
    public string Name { get; private set; } = string.Empty;


    public static MaterialReplenishment CreateOperation(int id, int count, DateTime dataTime, string name)
    {
        return new MaterialReplenishment
        {
            Id = id,
            
            Count = count,
            DataTime = dataTime,
            Name = name
        };
    }

}

