﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAtelier.Entities;

public class Material
{
    public int Id { get; private set; }

    [DisplayName("Название материала")]
    public string Name { get; private set; } = string.Empty;

    [DisplayName("Количество для использования")]
    public int UseCount { get; private set; }

    [DisplayName("Количество на складе")]
    public int CountInWareHouse { get; private set; }
    public static Material CreateEntity(int id, string name,int  usecount, int countInWarehouse)
    {
        return new Material
        {
            Id = id,
            Name = name,
            UseCount = usecount,
            CountInWareHouse = countInWarehouse
        };
    }
}
