﻿using ProjectAtelier.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAtelier.REPOSITORY;

public interface IMaterialReplenishmentRepository
{
    IEnumerable<MaterialReplenishment> ReadMaterialsSpent(DateTime? dateForm = null, DateTime? dateTo = null, string? nameMaterial = null);
    MaterialReplenishment ReadMaterialSpentById(int id);
    void CreateMaterialSpent(MaterialReplenishment material);
    void UpdateMaterialSpent(MaterialReplenishment material);
}
